net.minecraft.potion

## Class PotionAbsoption

- java.lang.Object
- - net.minecraft.potion.Potion
  - - net.minecraft.potion.PotionAbsoption

-     public class PotionAbsoption
      extends Potion

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.potion.Potion

      `blindness, confusion, damageBoost, digSlowdown, digSpeed, field_76405_D, field_76406_E, field_76407_F, field_76408_G, field_76409_A, field_76410_B, field_76411_C, field_76423_b, field_76434_w, field_76442_z, field_76443_y, field_76444_x, fireResistance, harm, heal, hunger, id, invisibility, jump, moveSlowdown, moveSpeed, nightVision, poison, potionTypes, regeneration, resistance, waterBreathing, weakness, wither`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyAttributesModifiersToEntity(EntityLivingBase par1EntityLivingBase, BaseAttributeMap par2BaseAttributeMap, int par3)`
    `void` | `removeAttributesModifiersFromEntity(EntityLivingBase par1EntityLivingBase, BaseAttributeMap par2BaseAttributeMap, int par3)`

    - ### Methods inherited from class net.minecraft.potion.Potion

      `affectEntity, func_111183_a, func_111184_a, func_111186_k, getDurationString, getEffectiveness, getId, getLiquidColor, getName, getStatusIconIndex, hasStatusIcon, isBadEffect, isInstant, isReady, isUsable, performEffect, setIconIndex, setPotionName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### removeAttributesModifiersFromEntity

          public void removeAttributesModifiersFromEntity(EntityLivingBase par1EntityLivingBase,
                                                 BaseAttributeMap par2BaseAttributeMap,
                                                 int par3)

      Overrides:
        `removeAttributesModifiersFromEntity` in class `Potion`

    - #### applyAttributesModifiersToEntity

          public void applyAttributesModifiersToEntity(EntityLivingBase par1EntityLivingBase,
                                              BaseAttributeMap par2BaseAttributeMap,
                                              int par3)

      Overrides:
        `applyAttributesModifiersToEntity` in class `Potion`